declare type ReactInterpreterProps = {
    /**
     * React沙盒运行的代码字符串
     */
    code?: string;
    /**
     * 需要注入的全局变量
     */
    globalObject?: {
        [key in string]: any;
    };
    /**
     * 设置被注入的全局变量的复杂属性最大层级。
     *
     * 为了保证转化效率，大于该层级的任何不能 JSON.stringify 的内容都会
     * 被丢弃掉「如 function 和出现循环引用的 object 等」。
     *
     * 默认值：3
     */
    globalObjectComplexPropLevel?: number;
    /**
     * 需要注入的 React 组件
     */
    componentMap?: {
        [key in string]: any;
    };
};
export declare function ReactInterpreter<T>(props: T & ReactInterpreterProps): any;
export {};
